<?
define('PROTECTOR', 1);

$headmod = 'pers';//фикс. места

$textl='Настройки';
@include('files/path.php');
@include($path.'files/db.php');
@include($path.'files/auth.php');
@include($path.'files/func.php');
@include($path.'files/core.php');
@include($path.'files/head.php');
@include($path.'files/zag.php');

switch($_GET[mod]){

default:
$time = time();
$chet = round(($set[viptime]-$time)/3600,1);
echo"Покупка VIP-статуса </div><div class='menu'> Особенности VIP :</br>
<ul><li>Отсутствие какой-либо рекламы на сайте</li>
<li>Выбор цвета ника</li>
<li>Загрузка уникального аватара на сайт</li>
<li>Бонус 50% К заработанному опыту и монетам!</li>
<li>Ускоренная регенерация здоровья</li>
</ul> И многое другое ( в активной разработке)";
if($set[vip]==on){echo"</br>У вас уже куплен vip-статус, до окончания осталось $chet часов";}else{echo"<b><a href='vip.php?mod=vip'>Стать VIP</a></b></div></div>";}
break;
case 'vip':

if(empty($_POST[kolvo])){
echo"Внимание, это платная услуга. За 1 сутки 3 алмаза</br>
<form action='vip.php?mod=vip' method='POST'>
Введите кол-во суток:<br/>
<input class='input' type=\"number\" value=\"1\" size=\"20\" name=\"kolvo\"/><br/>";
echo '<input class="button" type="submit" value="Купить Vip" /></form>';}
elseif($_POST[kolvo]>0 and $_POST[kolvo]<=$udata[almaz])
{
$_POST[kolvo] = htmlspecialchars(stripslashes(addslashes($_POST['kolvo'])));
$vremya=$_POST[kolvo]*24;
echo"Вы действительно хотите купить vip на $vremya часов?</br><a href='vip.php?mod=ok&kolvo=$_POST[kolvo]'>Да</a> | <a href='vip.php?'>Нет</a>";}
else{echo"У Вас не хватает алмазов</br><a href='vip.php?'>Назад</a>";}
break;
case 'ok':
$time = time();
if($set[vip]==on){exit;}
if(empty($_GET[kolvo])){echo"Вам <a href='vip.php?mod=vip'>сюда</a>";}else{
$kol = htmlspecialchars(stripslashes(addslashes($_GET['kolvo'])));
$vremya = $kol*24;
$kols = $kol*3;
if($udata[almaz]-$kols<0){echo"Не хватает Алмазов!<a href='vip.php?mod=vip'>Назад</a>";break;}else{
$viptime = $time+(24*3600*$kol);
mysql_query("UPDATE `set` SET `vip` = 'on',`viptime` = '$viptime' WHERE usr='$log' LIMIT 1");
mysql_query("UPDATE `users` SET `almaz` = '$udata[almaz]'-'$kols' WHERE usr='$log' LIMIT 1");

echo"Поздравляем, вы купили Vip - статус на $vremya часов";}}
break;
}
@include($path.'files/down.php');
?>